# Enable auto build file generation
auto_gen_build_files: {{.AutoGenBuildFiles}}

# Project type [native_app, shared_lib, static_lib, test_runner]
project_type: "{{.Type}}"

# Output name for compiled binary/ lib
output_name: "{{.OutputName}}"

# list of source files (.c, .cpp, .asm, .S etc}} and headers
{{- if .Sources }}
sources:
  {{- range unique .Sources}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
sources: []
{{- end}}

# preprocessor defines, passed to the C/C++ compiler with -D options
{{- if .Defines }}
defines:
  {{- range unique .Defines}}
  - {{.}}
  {{- end}}
{{- else}}
defines: []
{{- end}}

# header include directories, passed to the C/C++ compiler with -I option
{{- if .IncludeDirs }}
include_dirs:
  {{- range unique .IncludeDirs}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
include_dirs: []
{{- end}}

# common compilation flags, passed to both C/C++ compiler
{{- if .Cflags }}
cflags:
  {{- range .Cflags}}
  - {{.}}
  {{- end}}
{{- else}}
cflags: []
{{- end}}

# c compilation flags, passed to only C compiler
{{- if .CflagsC }}
cflags_c:
  {{- range .CflagsC}}
  - {{.}}
  {{- end}}
{{- else}}
cflags_c: []
{{- end}}

# cpp compilation flags, passed to only C++ compiler
{{- if .CflagsCc }}
cflags_cc:
  {{- range .CflagsCc}}
  - {{.}}
  {{- end}}
{{- else}}
cflags_cc: []
{{- end}}

# assembler flags, passed to any invocation of a tool that takes an .asm or .S file as input
{{- if .Asmflags }}
asmflags:
  {{- range .Asmflags}}
  - {{.}}
  {{- end}}
{{- else}}
asmflags: []
{{- end}}

# list of library names or library paths to link with target
# values containing '/' will be passed directly other wise passed with -l option
{{- if .Libs }}
libs:
  {{- range unique .Libs}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
libs: []
{{- end}}

# list of library dirs, to be passed to linker with -L option
{{- if .LibDirs }}
lib_dirs:
  {{- range unique .LibDirs}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
lib_dirs: []
{{- end}}

# list of library files, to be passed to linker as input
{{- if .LibFiles }}
lib_files:
  {{- range unique .LibFiles}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
lib_files: []
{{- end}}

# additional linker flags for the target
{{- if .Ldflags }}
ldflags:
  {{- range .Ldflags}}
  - {{.}}
  {{- end}}
{{- else}}
ldflags: []
{{- end}}

# list of edc files
{{- if .EdcFiles }}
edc_files:
  {{- range unique .EdcFiles}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
edc_files: []
{{- end}}

# list of directories containing images, passed to edje_cc with -id option
{{- if .EdcImagesDirs }}
edc_images_dirs:
  {{- range unique .EdcImagesDirs}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
edc_images_dirs: []
{{- end}}

# list of directories containing sound files, passed to edje_cc with -sd option
{{- if .EdcSoundDirs }}
edc_sound_dirs:
  {{- range unique .EdcSoundDirs}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
edc_sound_dirs: []
{{- end}}

# list of directories containing font files, passed to edje_cc with -fd option
{{- if .EdcFontDirs }}
edc_font_dirs:
  {{- range unique .EdcFontDirs}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
edc_font_dirs: []
{{- end}}

# list of po files
{{- if .PoFiles }}
po_files:
  {{- range unique .PoFiles}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
po_files: []
{{- end}}

# list of resource files, to be packed in tpk
{{- if .Resources }}
resources:
  {{- range unique .Resources}}
  - {{to_slash .}}
  {{- end}}
{{- else}}
resources: []
{{- end}}
